> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List monitored computers

> Returns a list of computers monitored by an MDM (with an integration built
by Vanta) or by Vanta Device Monitor. Currently this list does not include
resources from partner or customer-built integrations.



## OpenAPI

````yaml /reference/manage-vanta.json get /monitored-computers
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /monitored-computers:
    get:
      tags:
        - Monitored Computers
      summary: List monitored computers
      description: >-
        Returns a list of computers monitored by an MDM (with an integration
        built

        by Vanta) or by Vanta Device Monitor. Currently this list does not
        include

        resources from partner or customer-built integrations.
      operationId: ListMonitoredComputers
      parameters:
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - description: >-
            Filters for monitored computers matching any status declared in the
            filter.
          in: query
          name: complianceStatusFilterMatchesAny
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ComputerStatusFilter'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_MonitoredComputer_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: 5f2c939a52855e725c8d5823
                          integrationId: vantaAgent
                          serialNumber: FVFGPGV2Q6L5
                          udid: 280FF071-1D7A-5752-BD3A-1A68937CD187
                          lastCheckDate: '2024-03-07T18:46:05.944Z'
                          screenlock:
                            outcome: FAIL
                          diskEncryption:
                            outcome: FAIL
                          passwordManager:
                            outcome: FAIL
                          antivirusInstallation:
                            outcome: FAIL
                          operatingSystem:
                            type: macOS
                            version: 13.2.1
                          owner:
                            id: 65e1efde08e8478f143a8ff9
                            emailAddress: example-person@email.com
                            displayName: Example Owner
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: 5f2c939a52855e725c8d5823
                        endCursor: 5f2c939a52855e725c8d5823
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    ComputerStatusFilter:
      description: >-
        Enum representing computer compliance statuses that can be utilized as a
        filter. The meanings are as follows:

        AV_NOT_INSTALLED: The computer does not have antivirus software
        installed.

        HD_NOT_ENCRYPTED: The computer's harddrive is not encrypted.

        LAST_CHECK_OVER_14_DAYS: No data has been received from computer for
        over 14 days.

        PWM_NOT_INSTALLED: The computer does not have a password manager
        installed.

        SCREENLOCK_NOT_CONFIGURED: The computer does not have screenlock
        configured appropriately.
      enum:
        - PWM_NOT_INSTALLED
        - HD_NOT_ENCRYPTED
        - AV_NOT_INSTALLED
        - SCREENLOCK_NOT_CONFIGURED
        - LAST_CHECK_OVER_14_DAYS
      type: string
    PaginatedResponse_MonitoredComputer_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/MonitoredComputer'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    MonitoredComputer:
      properties:
        id:
          type: string
          description: Unique identifier for the monitored computer.
        integrationId:
          type: string
          description: >-
            Hard-coded enums for Vanta-built integrations or application IDs for
            3rd-party-built integrations.
        lastCheckDate:
          type: string
          format: date-time
          nullable: true
          description: Date of the computer's most recent report.
        screenlock:
          $ref: '#/components/schemas/ComputerStatus'
          description: Whether or not the computer has screenlock enabled.
        diskEncryption:
          $ref: '#/components/schemas/ComputerStatus'
          description: Whether or not the computer's hard drive is encrypted.
        passwordManager:
          $ref: '#/components/schemas/ComputerStatus'
          description: Whether or not the computer has a password manager installed.
        antivirusInstallation:
          $ref: '#/components/schemas/ComputerStatus'
          description: Whether or not the computer has antivirus software installed.
        operatingSystem:
          allOf:
            - $ref: '#/components/schemas/OperatingSystem'
          nullable: true
          description: The computer's operating system name and version.
        owner:
          allOf:
            - $ref: '#/components/schemas/Owner'
          nullable: true
          description: >-
            The name, unique identifier, and email address of the computer's
            owner.
        serialNumber:
          type: string
          nullable: true
          description: >-
            The serial number of the computer. This value may be null if it is
            not reported by the device.
        udid:
          type: string
          nullable: true
          description: The universal device id of the computer.
      required:
        - id
        - integrationId
        - lastCheckDate
        - screenlock
        - diskEncryption
        - passwordManager
        - antivirusInstallation
        - operatingSystem
        - owner
        - serialNumber
        - udid
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    ComputerStatus:
      description: >-
        The a status check for a computer. Representation for screenlock,
        diskEncryption, passwordManager, and antivirusInstallation.
      properties:
        outcome:
          $ref: '#/components/schemas/ComputerStatusOutcome'
          description: The outcome of the status check.
      required:
        - outcome
      type: object
      additionalProperties: false
    OperatingSystem:
      description: The computer's operating system type and version.
      properties:
        type:
          $ref: '#/components/schemas/OperatingSystemType'
          description: The type of the operating system.
        version:
          type: string
          nullable: true
          description: The version of the operating system.
      required:
        - type
        - version
      type: object
      additionalProperties: false
    Owner:
      properties:
        id:
          type: string
          description: Unique identifier for the person.
        displayName:
          type: string
          description: Name of the person that is shown in product.
        emailAddress:
          type: string
          description: Email address of the person.
      required:
        - id
        - displayName
        - emailAddress
      type: object
      additionalProperties: false
    ComputerStatusOutcome:
      description: >-
        The possible outcomes of a status check. The outcome can be one of the
        following:

        FAIL:  The check is failing.

        IN_PROGRESS: The check needs further data from the given computer in
        order to evaluate. The field(s) needed from a computer to calculate the
        ComputerStatusOutcome were null.

        NA: The check is not applicable for the given computer.

        PASS: The check is passing.
      enum:
        - FAIL
        - IN_PROGRESS
        - NA
        - PASS
      type: string
    OperatingSystemType:
      description: >-
        The possible types of the operating system. One of `mac_OS`, `linux`, or
        `windows`.
      enum:
        - macOS
        - linux
        - windows
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````